unit UnitMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, MultiLanguage, StdCtrls, ExtCtrls, CheckLst;

type
  TMainForm = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    Saveas1: TMenuItem;
    N1: TMenuItem;
    Print1: TMenuItem;
    Options1: TMenuItem;
    N2: TMenuItem;
    Exit1: TMenuItem;
    N3: TMenuItem;
    Edit1: TMenuItem;
    Undo1: TMenuItem;
    Redo1: TMenuItem;
    N4: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Cut1: TMenuItem;
    Delete1: TMenuItem;
    N5: TMenuItem;
    SelectAll1: TMenuItem;
    Search1: TMenuItem;
    Find1: TMenuItem;
    Replace1: TMenuItem;
    N6: TMenuItem;
    Gotolinenumber1: TMenuItem;
    Help1: TMenuItem;
    Contents1: TMenuItem;
    N7: TMenuItem;
    About1: TMenuItem;
    Language1: TMenuItem;
    N8: TMenuItem;
    ShowBitmaps1: TMenuItem;
    MultiLanguage1: TMultiLanguage;
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    CheckListBox1: TCheckListBox;
    Panel2: TPanel;
    ComboBox1: TComboBox;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure ShowBitmaps1Click(Sender: TObject);
    procedure MultiLanguage1OldLangVersionLoaded(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.FormCreate(Sender: TObject);
begin
ShowBitmaps1.Checked := MultiLanguage1.UseLanguageBitmaps;
//We must load the irst language
//the user can easily switch to another
//Let's say we read the last lang used by the user from registry
MultiLanguage1.Load(MultiLanguage1.LanguageFiles[MultiLanguage1.LanguageNames.IndexOf('English')]);
end;

procedure TMainForm.ShowBitmaps1Click(Sender: TObject);
begin
MultiLanguage1.UseLanguageBitmaps := ShowBitmaps1.Checked;
end;

procedure TMainForm.MultiLanguage1OldLangVersionLoaded(Sender: TObject);
begin
application.MessageBox(PChar(Format('The language file you are using "%s (%s) is older than the application (%s). Please check program website for an update."',[multilanguage1.FileName, multilanguage1.LanguageVersion, multilanguage1.AppVersion])),'Old language loaded...',MB_ICONWARNING);
end;

end.
