unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, SystemMenu, ImgList, StdCtrls;

type
  TForm1 = class(TForm)
    SystemMenu1: TSystemMenu;
    ClickMe1: TMenuItem;
    Checked1: TMenuItem;
    Radio1: TMenuItem;
    Enabled1: TMenuItem;
    Disabled1: TMenuItem;
    AnotherRadioItem1: TMenuItem;
    ItemWithShortcut1: TMenuItem;
    SUBMENU1: TMenuItem;
    ItemWithShortcut2: TMenuItem;
    ItemWithImage1: TMenuItem;
    ImageList1: TImageList;
    ItemWithImage2: TMenuItem;
    ListBox1: TListBox;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    SUBMENUOFSUBMENU1: TMenuItem;
    SomeMenuItem1: TMenuItem;
    Label1: TLabel;
    SystemMenuoptions1: TMenuItem;
    ShowImages1: TMenuItem;
    Active1: TMenuItem;
    Button1: TButton;
    procedure ClickMe1Click(Sender: TObject);
    procedure ItemWithShortcut2Click(Sender: TObject);
    procedure SystemMenu1Popup(Sender: TObject);
    procedure Radio1Click(Sender: TObject);
    procedure AnotherRadioItem1Click(Sender: TObject);
    procedure ShowImages1Click(Sender: TObject);
    procedure Active1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure SystemMenu1SysPopup(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.ClickMe1Click(Sender: TObject);
begin
ClickMe1.Checked := not ClickMe1.Checked;
ShowMessage('Good');
end;

procedure TForm1.ItemWithShortcut2Click(Sender: TObject);
begin
ShowMessage('You have clicked the "'+(Sender as TMenuItem).Caption+'" menu item from the system menu');
end;

procedure TForm1.SystemMenu1Popup(Sender: TObject);
begin
ListBox1.Items.Add('Menu Popup (origin any) - ' + TimeToStr(Now));
ListBox1.ItemIndex := ListBox1.Items.Count - 1;
end;

procedure TForm1.Radio1Click(Sender: TObject);
begin
Radio1.Checked := True;
end;

procedure TForm1.AnotherRadioItem1Click(Sender: TObject);
begin
AnotherRadioItem1.Checked := True;
end;

procedure TForm1.ShowImages1Click(Sender: TObject);
begin
ShowImages1.Checked := not ShowImages1.Checked;
if ShowImages1.Checked then SystemMenu1.Images := ImageList1
                       else SystemMenu1.Images := nil;
end;

procedure TForm1.Active1Click(Sender: TObject);
begin
Active1.Checked := not Active1.Checked;
SystemMenu1.Active := Active1.Checked;
if not SystemMenu1.Active then Button1.Show;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
SystemMenu1.Active := True;
Active1.Checked := SystemMenu1.Active;
Button1.Hide;
end;

procedure TForm1.SystemMenu1SysPopup(Sender: TObject);
begin
ListBox1.Items.Add('System Menu Popup - ' + TimeToStr(Now));
ListBox1.ItemIndex := ListBox1.Items.Count - 1;
end;

end.
