unit mru_form;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, MRU, ActnList, StdActns, Menus, MenuStorage, StdCtrls;

type
  TForm1 = class(TForm)
    MRU1: TMRU;
    MainMenu1: TMainMenu;
    ActionList1: TActionList;
    FileOpen1: TFileOpen;
    File11: TMenuItem;
    open1: TMenuItem;
    ReOpen1: TMenuItem;
    N1: TMenuItem;
    ClearMRUList1: TMenuItem;
    N2: TMenuItem;
    Saveas1: TMenuItem;
    N3: TMenuItem;
    Exit1: TMenuItem;
    Memo1: TMemo;
    REGMenuStorage1: TREGMenuStorage;
    procedure FileOpen1Accept(Sender: TObject);
    procedure ClearMRUList1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure MRU1MRUItemClick(Sender: TObject; Item: String);
    procedure File11Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FileOpen1Accept(Sender: TObject);
var I : Integer;
begin
for I := 0 to FileOpen1.Dialog.Files.Count - 1 do
    MRU1.Add(FileOpen1.Dialog.Files.Strings[i]);
end;

procedure TForm1.ClearMRUList1Click(Sender: TObject);
begin
MRU1.Clear;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
MRU1.Save;
end;

procedure TForm1.MRU1MRUItemClick(Sender: TObject; Item: String);
begin
ShowMessage('You have clicked ' + Item);
end;

procedure TForm1.File11Click(Sender: TObject);
begin
ReOpen1.Enabled := MRU1.Count > 0;
end;

end.
