unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, MenuStorage, Favorites, FavoritesEditor, ToolsManager,
  ToolsManagerEditor, DirectoryMenu, StdCtrls;

type
  TForm1 = class(TForm)
    ToolsManagerEditor1: TToolsManagerEditor;
    ToolsManager1: TToolsManager;
    FavoritesEditor1: TFavoritesEditor;
    Favorites1: TFavorites;
    MainMenu1: TMainMenu;
    ools1: TMenuItem;
    Favorites2: TMenuItem;
    OrganizeFavorites1: TMenuItem;
    N1: TMenuItem;
    ConfigureTools1: TMenuItem;
    REGMenuStorage1: TREGMenuStorage;
    ShowImages1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    procedure OrganizeFavorites1Click(Sender: TObject);
    procedure ConfigureTools1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Favorites1FavoritesItemClick(Sender: TObject;
      Favorite: String);
    procedure ShowImages1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.OrganizeFavorites1Click(Sender: TObject);
begin
FavoritesEditor1.Edit;
end;

procedure TForm1.ConfigureTools1Click(Sender: TObject);
begin
ToolsManagerEditor1.Edit;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
ToolsManager1.Save;
Favorites1.Save;
end;

procedure TForm1.Favorites1FavoritesItemClick(Sender: TObject;
  Favorite: String);
begin
ShowMessage('Favorite Click:'+#13#10+Favorite);
end;

procedure TForm1.ShowImages1Click(Sender: TObject);
begin
ShowImages1.Checked := not ShowImages1.Checked;
ToolsManager1.ShowIcons := ShowImages1.Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
ShowImages1.Checked := ToolsManager1.ShowIcons;
end;

end.
